> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an account's details

> 
 Returns data for a given ```accountId```.
 The response will contain either personal or business details, such as account name,
 primary owner of the account, and enabled features.
  



## OpenAPI

````yaml /autogenerated/openapi/cis.openapi.json get /accounts/{accountId}
openapi: 3.1.0
info:
  title: CIS API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /accounts/{accountId}:
    get:
      tags:
        - Accounts
      summary: Retrieve an account's details
      description: |2-

         Returns data for a given ```accountId```.
         The response will contain either personal or business details, such as account name,
         primary owner of the account, and enabled features.
          
      operationId: findOneAccount
      parameters:
        - name: accountId
          in: path
          required: true
          schema:
            type:
              - string
            description: The ID of the account to work with.
            example: F50091
        - name: personId
          in: query
          schema:
            description: The ID of the person to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: 775596ae-2624-40af-a9dc-9756110a4a04
        - name: include
          in: query
          schema:
            description: The type of embed to include. Comma separated list, url encoded.
            oneOf:
              - type:
                  - string
              - type:
                  - array
                items:
                  type:
                    - string
                  enum:
                    - addresses
                    - currencies
                    - primaryOwner
                    - market
                    - settings
                    - maxCardsAndBudgets
                    - banks
                    - currencyAlignment
                    - productWithFeatures
            enum:
              - addresses
              - currencies
              - primaryOwner
              - market
              - settings
              - maxCardsAndBudgets
              - banks
              - currencyAlignment
              - productWithFeatures
            example: currencies,market
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  id:
                    type:
                      - string
                    description: The ID of the account to work with.
                    example: F50091
                  type:
                    type:
                      - string
                    enum:
                      - Business
                      - Personal
                    description: The type of Account.
                  status:
                    type:
                      - string
                    enum:
                      - applicationPending
                      - active
                      - inactive
                      - suspended
                      - customerClosed
                      - equalsFullClosed
                      - equalsReadonlyClosed
                      - identityVerificationRequired
                    description: The status of Account.
                  termsAccepted:
                    type:
                      - boolean
                    description: >-
                      If they've accepted our Terms and Conditions when
                      registering.
                    example: true
                  correlationId:
                    type:
                      - string
                    example: '16700261790'
                  privacyAccepted:
                    type:
                      - boolean
                    description: If they've accepted our Privacy Policy when registering.
                    example: true
                  salesperson:
                    type:
                      - string
                      - 'null'
                    maxLength: 256
                    description: Name of the Salesperson that signed them up.
                    example: Lester Spinka
                  accountManager:
                    type:
                      - string
                      - 'null'
                    maxLength: 256
                    description: Name of their Account Manager going forward.
                    example: Kerry McDermott
                  bankEntity:
                    type:
                      - string
                      - 'null'
                    maxLength: 256
                    description: Name of their Bank used for outgoing payments.
                    example: BARC
                  configurationId:
                    type:
                      - string
                      - 'null'
                    maxLength: 36
                    description: >-
                      The configuration ID used for billing configuration. Links
                      the account to a specific fee structure. Set when the
                      account is created, cannot be modified afterwards.
                    example: '12345678901'
                  currentRiskLevel:
                    type:
                      - string
                    enum:
                      - Low
                      - Medium
                      - MediumHigh
                      - High
                      - Dormant
                      - Extreme
                      - redacted
                  tier:
                    type:
                      - string
                    enum:
                      - BRONZE
                      - SILVER
                      - GOLD
                      - NotTraded
                    description: tier of Account
                    example: BRONZE
                  features:
                    type:
                      - object
                    properties:
                      id:
                        type:
                          - string
                        maxLength: 36
                        format: uuid
                      accountId:
                        type:
                          - string
                        description: The ID of the account to work with.
                        example: F50091
                      payments:
                        type:
                          - boolean
                        description: Has access to payments
                      batchPayments:
                        type:
                          - boolean
                        description: Determines if batchPayments feature is enabled
                      cards:
                        type:
                          - boolean
                        description: Has access to cards
                      virtualCards:
                        type:
                          - string
                        enum:
                          - active
                          - inactive
                          - restricted
                      physicalCards:
                        type:
                          - string
                        enum:
                          - active
                          - inactive
                          - restricted
                      microCorp:
                        type:
                          - boolean
                          - 'null'
                      sharedCardProductId:
                        type:
                          - string
                          - 'null'
                        format: uuid
                        description: The card product id to use to create a shared card
                      individualVirtualCardProductId:
                        type:
                          - string
                          - 'null'
                        format: uuid
                        description: >-
                          The card product id to use to create an individual
                          virtual card
                      individualPhysicalCardProductId:
                        type:
                          - string
                          - 'null'
                        format: uuid
                        description: >-
                          The card product id to use to create an individual
                          physical card
                      useBalanceName:
                        type:
                          - boolean
                        description: >-
                          This field is used to send or not the balance name
                          when a balance is created, mainly for confirmation of
                          payee.
                      forwardContracts:
                        type:
                          - boolean
                        description: Has access to forward contracts
                      sourceOfBalance:
                        type:
                          - string
                        enum:
                          - boxes
                          - mts
                        description: >-
                          The source of the balance. Acceptable values are
                          `boxes`, `mts`.
                      cardsSharedType:
                        type:
                          - string
                          - 'null'
                        enum:
                          - prepaid
                          - debit
                        description: The type of shared card.
                      cardsIndividualType:
                        type:
                          - string
                          - 'null'
                        enum:
                          - prepaid
                          - debit
                        description: The type of individual card.
                      selfApprove:
                        type:
                          - boolean
                        description: Indicates self approve
                      apiIgnorePaymentApproval:
                        type:
                          - boolean
                        description: Indicates to ignore api payment approval
                      moveMoneyRequests:
                        type:
                          - boolean
                        description: Indicates if the account can set up funds requests
                      subBalances:
                        type:
                          - boolean
                        description: Indicates the ability to have sub balances
                      autoCreditToFundsHeld:
                        type:
                          - boolean
                        description: Indicates auto credit to funds held
                      dualAuthorise:
                        type:
                          - boolean
                        description: Indicates if the account is dual authorise
                      freeInternalTransfers:
                        type:
                          - boolean
                        description: Indicates if free internal transfers are allowed
                      expediteCardProcessingEnabled:
                        type:
                          - boolean
                        description: Indicates if expedited card processing is allowed
                      enforceMFAVerification:
                        type:
                          - boolean
                        description: Indicates if MFA verification is enforced
                        example: false
                      pinForVirtualCardsEnabled:
                        type:
                          - boolean
                        description: Determines if PIN support is enabled for virtual cards
                        example: false
                      sharedCardsEnabled:
                        type:
                          - boolean
                        description: Determines if shared cards feature is enabled
                        example: true
                      individualCardsEnabled:
                        type:
                          - boolean
                        description: Determines if individual cards feature is enabled
                        example: true
                      lowBalanceAlertsEnabled:
                        type:
                          - boolean
                        description: Indicates if low balance alerts are enabled
                        example: false
                      minimumCardOrderTopUpAmount:
                        type:
                          - number
                          - 'null'
                      minimumCardOrderTopUpAmountReached:
                        type:
                          - boolean
                      statementsFrom:
                        type:
                          - string
                          - 'null'
                        format: date-time
                      createdAt:
                        type:
                          - string
                        format: date-time
                        description: >-
                          The date the Resource was initially created. ISO 8601
                          format without milliseconds.
                      updatedAt:
                        type:
                          - string
                        format: date-time
                        description: >-
                          The date the Resource was last modified. ISO 8601
                          format without milliseconds.
                  productId:
                    type:
                      - string
                    format: uuid
                    maxLength: 36
                    description: The ID of the product to work with.
                    example: 3ef24d53-6e22-4103-a16b-d268e4f7346d
                  primaryOwner:
                    type:
                      - object
                    properties:
                      id:
                        type:
                          - string
                        format: uuid
                      firstName:
                        type:
                          - string
                        maxLength: 256
                        example: Dolly
                      lastName:
                        type:
                          - string
                        maxLength: 256
                        example: Parton
                      title:
                        type:
                          - string
                          - 'null'
                        enum:
                          - Master
                          - Mr
                          - Miss
                          - Mrs
                          - Ms
                          - Mx
                      middleInitials:
                        type:
                          - string
                          - 'null'
                        maxLength: 10
                        example: R
                      dob:
                        type:
                          - string
                          - 'null'
                        example: '1946-01-19'
                      gender:
                        type:
                          - string
                          - 'null'
                        maxLength: 20
                        example: Female
                      nationality:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        example: US
                        deprecated: true
                      nationalities:
                        type:
                          - array
                          - 'null'
                        items:
                          type:
                            - string
                          enum:
                            - AD
                            - AE
                            - AF
                            - AG
                            - AI
                            - AL
                            - AM
                            - AO
                            - AQ
                            - AR
                            - AS
                            - AT
                            - AU
                            - AW
                            - AX
                            - AZ
                            - BA
                            - BB
                            - BD
                            - BE
                            - BF
                            - BG
                            - BH
                            - BI
                            - BJ
                            - BL
                            - BM
                            - BN
                            - BO
                            - BQ
                            - BR
                            - BS
                            - BT
                            - BV
                            - BW
                            - BY
                            - BZ
                            - CA
                            - CC
                            - CD
                            - CF
                            - CG
                            - CH
                            - CI
                            - CK
                            - CL
                            - CM
                            - CN
                            - CO
                            - CR
                            - CU
                            - CV
                            - CW
                            - CX
                            - CY
                            - CZ
                            - DE
                            - DJ
                            - DK
                            - DM
                            - DO
                            - DZ
                            - EC
                            - EE
                            - EG
                            - EH
                            - ER
                            - ES
                            - ET
                            - FI
                            - FJ
                            - FK
                            - FM
                            - FO
                            - FR
                            - GA
                            - GB
                            - GD
                            - GE
                            - GF
                            - GG
                            - GH
                            - GI
                            - GL
                            - GM
                            - GN
                            - GP
                            - GQ
                            - GR
                            - GS
                            - GT
                            - GU
                            - GW
                            - GY
                            - HK
                            - HM
                            - HN
                            - HR
                            - HT
                            - HU
                            - ID
                            - IE
                            - IL
                            - IM
                            - IN
                            - IO
                            - IQ
                            - IR
                            - IS
                            - IT
                            - JE
                            - JM
                            - JO
                            - JP
                            - KE
                            - KG
                            - KH
                            - KI
                            - KM
                            - KN
                            - KP
                            - KR
                            - KW
                            - KY
                            - KZ
                            - LA
                            - LB
                            - LC
                            - LI
                            - LK
                            - LR
                            - LS
                            - LT
                            - LU
                            - LV
                            - LY
                            - MA
                            - MC
                            - MD
                            - ME
                            - MF
                            - MG
                            - MH
                            - MK
                            - ML
                            - MM
                            - MN
                            - MO
                            - MP
                            - MQ
                            - MR
                            - MS
                            - MT
                            - MU
                            - MV
                            - MW
                            - MX
                            - MY
                            - MZ
                            - NA
                            - NC
                            - NE
                            - NF
                            - NG
                            - NI
                            - NL
                            - 'NO'
                            - NP
                            - NR
                            - NU
                            - NZ
                            - OM
                            - PA
                            - PE
                            - PF
                            - PG
                            - PH
                            - PK
                            - PL
                            - PM
                            - PN
                            - PR
                            - PS
                            - PT
                            - PW
                            - PY
                            - QA
                            - RE
                            - RO
                            - RS
                            - RU
                            - RW
                            - SA
                            - SB
                            - SC
                            - SD
                            - SE
                            - SG
                            - SH
                            - SI
                            - SJ
                            - SK
                            - SL
                            - SM
                            - SN
                            - SO
                            - SR
                            - SS
                            - ST
                            - SV
                            - SX
                            - SY
                            - SZ
                            - TC
                            - TD
                            - TF
                            - TG
                            - TH
                            - TJ
                            - TK
                            - TL
                            - TM
                            - TN
                            - TO
                            - TR
                            - TT
                            - TV
                            - TW
                            - TZ
                            - UA
                            - UG
                            - UM
                            - US
                            - UY
                            - UZ
                            - VA
                            - VC
                            - VE
                            - VG
                            - VI
                            - VN
                            - VU
                            - WF
                            - WS
                            - XK
                            - YE
                            - YT
                            - ZA
                            - ZM
                            - ZW
                          example: GB
                        description: >-
                          Array of ISO 3166-1 alpha-2 country codes representing
                          person nationalities
                      countryOfResidence:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        example: US
                      primaryMobileNumber:
                        type:
                          - string
                          - 'null'
                        maxLength: 50
                        example: '+447798121212'
                      primaryEmailAddress:
                        type:
                          - string
                        format: email
                        maxLength: 256
                        description: The primary email address for this person.
                        example: test@equalsqa.com
                      avatar:
                        type:
                          - object
                        properties:
                          url:
                            type:
                              - string
                          fileName:
                            type:
                              - string
                      sendInvite:
                        type:
                          - boolean
                        description: Send the invite now
                      roleId:
                        type:
                          - string
                        format: uuid
                      verifyEmailAddress:
                        default: true
                        type:
                          - boolean
                      verifyMobileNumber:
                        default: true
                        type:
                          - boolean
                      sub:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        description: The Cognito ID of the person to work with.
                        example: >-
                          8e214819-5c83-429f-a976-eb127a0a8a88 or
                          auth0|12345a6b7890c1def1234dg5
                      hasPeopleCard:
                        type:
                          - boolean
                        description: Indicates whether this person has an individual card.
                      card:
                        type:
                          - object
                          - 'null'
                        properties:
                          id:
                            type:
                              - string
                            format: uuid
                            description: The id of the card
                        required:
                          - id
                        description: >-
                          The individual card object if the person has an
                          individual card
                      status:
                        type:
                          - string
                        enum:
                          - active
                          - deactivated
                          - kycReferred
                          - rejected
                      locale:
                        type:
                          - string
                          - 'null'
                        enum:
                          - en-GB
                        description: >-
                          Determines customer communication language. emails,
                          notifications, etc.
                        example: en-GB
                      productId:
                        type:
                          - string
                        format: uuid
                        maxLength: 36
                        description: The ID of the product to work with.
                        example: 3ef24d53-6e22-4103-a16b-d268e4f7346d
                      avatarId:
                        type:
                          - string
                          - 'null'
                        format: uuid
                      avatarCdnUrl:
                        type:
                          - string
                          - 'null'
                      emailTheme:
                        type:
                          - string
                          - 'null'
                        maxLength: 32
                      preferred2FAMethod:
                        type:
                          - string
                          - 'null'
                        enum:
                          - whatsapp
                          - sms
                      persona:
                        type:
                          - object
                        properties: {}
                        additionalProperties: true
                      createdAt:
                        type:
                          - string
                        format: date-time
                        description: >-
                          The date the Resource was initially created. ISO 8601
                          format without milliseconds.
                      updatedAt:
                        type:
                          - string
                        format: date-time
                        description: >-
                          The date the Resource was last modified. ISO 8601
                          format without milliseconds.
                    required:
                      - id
                      - firstName
                      - lastName
                      - middleInitials
                      - dob
                      - gender
                      - nationality
                      - countryOfResidence
                      - primaryEmailAddress
                      - status
                      - locale
                      - productId
                      - avatarId
                      - avatarCdnUrl
                      - preferred2FAMethod
                      - createdAt
                      - updatedAt
                    description: Primary owner person
                  primaryOwnerPersonaId:
                    type:
                      - string
                      - 'null'
                    format: uuid
                    maxLength: 36
                    description: The ID of the primary owner persona.
                  business:
                    type:
                      - object
                      - 'null'
                    properties:
                      accountId:
                        type:
                          - string
                        description: The ID of the account to work with.
                        example: F50091
                      name:
                        type:
                          - string
                        maxLength: 256
                        example: FairFX
                      countryOfRegistration:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        example: United Kingdom
                      companyType:
                        type:
                          - string
                          - 'null'
                        maxLength: 50
                        example: Limited
                      companiesHouseId:
                        type:
                          - string
                          - 'null'
                        maxLength: 50
                        example: '05539698'
                      telephoneNumber:
                        type:
                          - string
                          - 'null'
                        maxLength: 50
                        example: 020 122 123
                      timezone:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        example: Europe/London
                      registeredName:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        example: FairFX
                      tradingName:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        example: FairFX Group
                      website:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        example: https://fairfx.com
                      industry:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        example: Financial Services
                      fourthLine:
                        type:
                          - string
                          - 'null'
                        maxLength: 21
                        example: FairFX
                      logo:
                        type:
                          - object
                          - 'null'
                        properties:
                          url:
                            type:
                              - string
                          fileName:
                            type:
                              - string
                        required:
                          - url
                          - fileName
                      createdAt:
                        type:
                          - string
                        format: date-time
                        description: >-
                          The date the Resource was initially created. ISO 8601
                          format without milliseconds.
                      updatedAt:
                        type:
                          - string
                        format: date-time
                        description: >-
                          The date the Resource was last modified. ISO 8601
                          format without milliseconds.
                    description: Appears if the Account type is Business.
                  personal:
                    type:
                      - object
                      - 'null'
                    properties:
                      accountId:
                        type:
                          - string
                        description: The ID of the account to work with.
                        example: F50091
                      name:
                        type:
                          - string
                        maxLength: 256
                        example: FairFX
                      countryOfRegistration:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        example: United Kingdom
                      companyType:
                        type:
                          - string
                          - 'null'
                        maxLength: 50
                        example: companyType
                      companiesHouseId:
                        type:
                          - string
                          - 'null'
                        maxLength: 50
                        example: '05539698'
                      telephoneNumber:
                        type:
                          - string
                          - 'null'
                        maxLength: 50
                        example: 020 122 123
                      timezone:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        example: Europe/London
                      registeredName:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        example: FairFX
                      tradingName:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        example: FairFX Group
                      website:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        example: https://fairfx.com
                      industry:
                        type:
                          - string
                          - 'null'
                        maxLength: 256
                        example: Financial Services
                      logo:
                        type:
                          - object
                          - 'null'
                        properties:
                          url:
                            type:
                              - string
                          fileName:
                            type:
                              - string
                        required:
                          - url
                          - fileName
                      createdAt:
                        type:
                          - string
                        format: date-time
                        description: >-
                          The date the Resource was initially created. ISO 8601
                          format without milliseconds.
                      updatedAt:
                        type:
                          - string
                        format: date-time
                        description: >-
                          The date the Resource was last modified. ISO 8601
                          format without milliseconds.
                    description: Appears if the Account type is Personal.
                  addresses:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                          format: uuid
                          description: The ID of the address.
                        type:
                          type:
                            - string
                          description: The address type.
                          example: office
                        nickName:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                          description: The nickname of the address.
                          example: office
                        addressLine1:
                          type:
                            - string
                          minLength: 1
                          maxLength: 256
                          description: The first line of the address.
                          example: Great Building
                        addressLine2:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                          description: The second line of the address.
                          example: Four Maple Street
                        addressLine3:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                          description: The third line of the address.
                          example: Southwark
                        addressContact:
                          type:
                            - string
                            - 'null'
                          maxLength: 256
                          description: The name of the contact associated with the address.
                          example: Brian May
                        city:
                          type:
                            - string
                          maxLength: 256
                          description: The city of the address.
                        postcode:
                          type:
                            - string
                          maxLength: 50
                          description: The postal or ZIP code of the address.
                          example: SE13UB
                        country:
                          type:
                            - string
                          maxLength: 256
                          description: The country of the address.
                          example: England
                        countryCode:
                          type:
                            - string
                            - 'null'
                          maxLength: 2
                          description: ISO 3166-1 2 digit country code.
                          example: GB
                        createdAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was initially created. ISO
                            8601 format without milliseconds.
                        updatedAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was last modified. ISO 8601
                            format without milliseconds.
                      required:
                        - id
                        - type
                        - addressLine1
                        - city
                        - postcode
                        - country
                  currencies:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                          format: uuid
                        code:
                          type:
                            - string
                          example: GBP
                        name:
                          type:
                            - string
                          example: Pound Sterling
                        status:
                          type:
                            - object
                          properties:
                            enabled:
                              type:
                                - boolean
                              example: true
                      required:
                        - id
                        - code
                  payments:
                    type:
                      - object
                    properties:
                      id:
                        type:
                          - string
                      active:
                        type:
                          - boolean
                      maxLength:
                        type:
                          - number
                        example: 42
                      depositRequired:
                        type:
                          - number
                        example: 5
                      maxAmount:
                        type:
                          - number
                        example: 500000
                      accountId:
                        type:
                          - string
                        description: The ID of the account to work with.
                        example: F50091
                    description: Account payments
                  solutions:
                    type:
                      - boolean
                    description: If account belongs to solution client or not.
                  maxCardsAndBudgets:
                    type:
                      - object
                      - 'null'
                    properties:
                      maxIndividualCards:
                        type:
                          - number
                      maxSharedCards:
                        type:
                          - number
                      maxBudgets:
                        type:
                          - number
                      maxIndividualCardsPerPerson:
                        type:
                          - number
                    description: >-
                      Maximum number of cards and budgets allowed for the
                      account
                  locale:
                    type:
                      - string
                    enum:
                      - en-GB
                    description: >-
                      Determines customer communication language. emails,
                      notifications, etc.
                    example: en-GB
                  preferredLanguage:
                    type:
                      - string
                      - 'null'
                    enum:
                      - EN
                      - FR
                      - DE
                      - ES
                      - IT
                      - NL
                      - PT
                    description: >-
                      The preferred language for business correspondence. ISO
                      639-1 uppercase.
                  details:
                    oneOf:
                      - type:
                          - object
                        properties:
                          accountId:
                            type:
                              - string
                            description: The ID of the account to work with.
                            example: F50091
                          name:
                            type:
                              - string
                            maxLength: 256
                            example: FairFX
                          countryOfRegistration:
                            type:
                              - string
                              - 'null'
                            maxLength: 256
                            example: United Kingdom
                          companyType:
                            type:
                              - string
                              - 'null'
                            maxLength: 50
                            example: Limited
                          companiesHouseId:
                            type:
                              - string
                              - 'null'
                            maxLength: 50
                            example: '05539698'
                          telephoneNumber:
                            type:
                              - string
                              - 'null'
                            maxLength: 50
                            example: 020 122 123
                          timezone:
                            type:
                              - string
                              - 'null'
                            maxLength: 256
                            example: Europe/London
                          registeredName:
                            type:
                              - string
                              - 'null'
                            maxLength: 256
                            example: FairFX
                          tradingName:
                            type:
                              - string
                              - 'null'
                            maxLength: 256
                            example: FairFX Group
                          website:
                            type:
                              - string
                              - 'null'
                            maxLength: 256
                            example: https://fairfx.com
                          industry:
                            type:
                              - string
                              - 'null'
                            maxLength: 256
                            example: Financial Services
                          fourthLine:
                            type:
                              - string
                              - 'null'
                            maxLength: 21
                            example: FairFX
                          logo:
                            type:
                              - object
                              - 'null'
                            properties:
                              url:
                                type:
                                  - string
                              fileName:
                                type:
                                  - string
                            required:
                              - url
                              - fileName
                          createdAt:
                            type:
                              - string
                            format: date-time
                            description: >-
                              The date the Resource was initially created. ISO
                              8601 format without milliseconds.
                          updatedAt:
                            type:
                              - string
                            format: date-time
                            description: >-
                              The date the Resource was last modified. ISO 8601
                              format without milliseconds.
                      - type:
                          - object
                        properties:
                          accountId:
                            type:
                              - string
                            description: The ID of the account to work with.
                            example: F50091
                          name:
                            type:
                              - string
                            maxLength: 256
                            example: FairFX
                          countryOfRegistration:
                            type:
                              - string
                              - 'null'
                            maxLength: 256
                            example: United Kingdom
                          companyType:
                            type:
                              - string
                              - 'null'
                            maxLength: 50
                            example: companyType
                          companiesHouseId:
                            type:
                              - string
                              - 'null'
                            maxLength: 50
                            example: '05539698'
                          telephoneNumber:
                            type:
                              - string
                              - 'null'
                            maxLength: 50
                            example: 020 122 123
                          timezone:
                            type:
                              - string
                              - 'null'
                            maxLength: 256
                            example: Europe/London
                          registeredName:
                            type:
                              - string
                              - 'null'
                            maxLength: 256
                            example: FairFX
                          tradingName:
                            type:
                              - string
                              - 'null'
                            maxLength: 256
                            example: FairFX Group
                          website:
                            type:
                              - string
                              - 'null'
                            maxLength: 256
                            example: https://fairfx.com
                          industry:
                            type:
                              - string
                              - 'null'
                            maxLength: 256
                            example: Financial Services
                          logo:
                            type:
                              - object
                              - 'null'
                            properties:
                              url:
                                type:
                                  - string
                              fileName:
                                type:
                                  - string
                            required:
                              - url
                              - fileName
                          createdAt:
                            type:
                              - string
                            format: date-time
                            description: >-
                              The date the Resource was initially created. ISO
                              8601 format without milliseconds.
                          updatedAt:
                            type:
                              - string
                            format: date-time
                            description: >-
                              The date the Resource was last modified. ISO 8601
                              format without milliseconds.
                    description: Additional details about the Account.
                    type:
                      - 'null'
                  marketId:
                    type:
                      - string
                      - 'null'
                    format: uuid
                    maxLength: 36
                    description: The ID of the market.
                    example: 3ef24d53-6e22-4103-a16b-d268e4f7346d
                  market:
                    type:
                      - object
                    properties:
                      id:
                        type:
                          - string
                        format: uuid
                      name:
                        type:
                          - string
                        example: UK
                      bank:
                        type:
                          - string
                          - 'null'
                      baseCurrencyId:
                        type:
                          - string
                          - 'null'
                        format: uuid
                      atmWithdrawalFee:
                        type:
                          - number
                          - 'null'
                        minimum: 0
                      createdAt:
                        type:
                          - string
                        format: date-time
                        description: >-
                          The date the Resource was initially created. ISO 8601
                          format without milliseconds.
                      updatedAt:
                        type:
                          - string
                        format: date-time
                        description: >-
                          The date the Resource was last modified. ISO 8601
                          format without milliseconds.
                    required:
                      - id
                  createdAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was initially created. ISO 8601
                      format without milliseconds.
                  updatedAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was last modified. ISO 8601 format
                      without milliseconds.
                  currencyAlignment:
                    type:
                      - boolean
                    description: Currency alignment value for a the account.
                  accountBanks:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                          format: uuid
                        accountId:
                          type:
                            - string
                          description: The ID of the account to work with.
                          example: F50091
                        marketBank:
                          type:
                            - object
                          properties:
                            name:
                              type:
                                - string
                              example: Barclays
                        marketBankId:
                          type:
                            - string
                          format: uuid
                        priority:
                          type:
                            - number
                          example: 1
                        type:
                          type:
                            - string
                          example: settlement
                  settings:
                    type:
                      - object
                    properties:
                      id:
                        type:
                          - string
                        format: uuid
                      AccountId:
                        type:
                          - string
                        description: The ID of the account to work with.
                        example: F50091
                      accountId:
                        type:
                          - string
                        description: The ID of the account to work with.
                        example: F50091
                      balanceRequests:
                        type:
                          - boolean
                      paymentRequests:
                        type:
                          - boolean
                      createRequestReason:
                        type:
                          - string
                        enum:
                          - mandatory
                          - optional
                          - disabled
                      rejectRequestReason:
                        type:
                          - string
                        enum:
                          - mandatory
                          - optional
                          - disabled
                      requestAttachments:
                        type:
                          - string
                        enum:
                          - mandatory
                          - optional
                          - disabled
                      maxPendingRequestsTotal:
                        type:
                          - number
                      maxPendingRequestsPerBudget:
                        type:
                          - number
                      requestExpiryDays:
                        type:
                          - number
                      maxIndividualCards:
                        type:
                          - number
                      maxSharedCards:
                        type:
                          - number
                      maxIndividualCardsPerPerson:
                        type:
                          - number
                      maxBudgets:
                        type:
                          - number
                      maxUsers:
                        type:
                          - number
                      currencyAlignment:
                        type:
                          - boolean
                      marketingEmails:
                        type:
                          - boolean
                      onboardingEmails:
                        type:
                          - boolean
                      batchPaymentsVerificationOfPayee:
                        type:
                          - boolean
                        description: >-
                          Controls whether Verification of Payee (VoP) is
                          enabled for the account.
                      transactionalEmails:
                        type:
                          - boolean
                      securityNotifications:
                        type:
                          - boolean
                      createdAt:
                        type:
                          - string
                        format: date-time
                        description: >-
                          The date the Resource was initially created. ISO 8601
                          format without milliseconds.
                      updatedAt:
                        type:
                          - string
                        format: date-time
                        description: >-
                          The date the Resource was last modified. ISO 8601
                          format without milliseconds.
                required:
                  - id
                  - type
                  - status
                  - termsAccepted
                  - privacyAccepted
                  - salesperson
                  - accountManager
                  - primaryOwnerPersonaId
                  - locale
                  - preferredLanguage
                  - createdAt
                  - updatedAt
                example:
                  id: F50091
                  type: Business
                  status: applicationPending
                  termsAccepted: true
                  correlationId: '16700261790'
                  privacyAccepted: true
                  salesperson: Lester Spinka
                  accountManager: Kerry McDermott
                  bankEntity: BARC
                  configurationId: '12345678901'
                  currentRiskLevel: Low
                  tier: BRONZE
                  features:
                    id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                    accountId: F50091
                    payments: true
                    batchPayments: true
                    cards: true
                    virtualCards: active
                    physicalCards: active
                    microCorp: true
                    sharedCardProductId: 554bab88-15af-49ca-bd53-d0bd3aeab002
                    individualVirtualCardProductId: 78da7405-b96f-4404-8bdc-b2af36413bed
                    individualPhysicalCardProductId: d92913b7-2f88-490c-84d3-4293ec0b3472
                    useBalanceName: true
                    forwardContracts: true
                    sourceOfBalance: boxes
                    cardsSharedType: prepaid
                    cardsIndividualType: prepaid
                    selfApprove: true
                    apiIgnorePaymentApproval: true
                    moveMoneyRequests: true
                    subBalances: true
                    autoCreditToFundsHeld: true
                    dualAuthorise: true
                    freeInternalTransfers: true
                    expediteCardProcessingEnabled: true
                    enforceMFAVerification: false
                    pinForVirtualCardsEnabled: false
                    sharedCardsEnabled: true
                    individualCardsEnabled: true
                    lowBalanceAlertsEnabled: false
                    minimumCardOrderTopUpAmount: 0
                    minimumCardOrderTopUpAmountReached: true
                    statementsFrom: '2019-08-24T14:15:22Z'
                    createdAt: '2019-08-24T14:15:22Z'
                    updatedAt: '2019-08-24T14:15:22Z'
                  productId: 3ef24d53-6e22-4103-a16b-d268e4f7346d
                  primaryOwner:
                    id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                    firstName: Dolly
                    lastName: Parton
                    title: Master
                    middleInitials: R
                    dob: '1946-01-19'
                    gender: Female
                    nationality: US
                    nationalities:
                      - GB
                    countryOfResidence: US
                    primaryMobileNumber: '+447798121212'
                    primaryEmailAddress: test@equalsqa.com
                    avatar:
                      url: string
                      fileName: string
                    sendInvite: true
                    roleId: 7382d58e-652a-4905-b7c9-bcca1e0e5391
                    verifyEmailAddress: true
                    verifyMobileNumber: true
                    sub: >-
                      8e214819-5c83-429f-a976-eb127a0a8a88 or
                      auth0|12345a6b7890c1def1234dg5
                    hasPeopleCard: true
                    card:
                      id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                    status: active
                    locale: en-GB
                    productId: 3ef24d53-6e22-4103-a16b-d268e4f7346d
                    avatarId: ac572b6e-802b-4b9e-a602-0786d4441e67
                    avatarCdnUrl: string
                    emailTheme: string
                    preferred2FAMethod: whatsapp
                    persona: {}
                    createdAt: '2019-08-24T14:15:22Z'
                    updatedAt: '2019-08-24T14:15:22Z'
                  primaryOwnerPersonaId: 7734d652-76e5-4d92-a9d4-f83c69a2caa3
                  business:
                    accountId: F50091
                    name: FairFX
                    countryOfRegistration: United Kingdom
                    companyType: Limited
                    companiesHouseId: '05539698'
                    telephoneNumber: 020 122 123
                    timezone: Europe/London
                    registeredName: FairFX
                    tradingName: FairFX Group
                    website: https://fairfx.com
                    industry: Financial Services
                    fourthLine: FairFX
                    logo:
                      url: string
                      fileName: string
                    createdAt: '2019-08-24T14:15:22Z'
                    updatedAt: '2019-08-24T14:15:22Z'
                  personal:
                    accountId: F50091
                    name: FairFX
                    countryOfRegistration: United Kingdom
                    companyType: companyType
                    companiesHouseId: '05539698'
                    telephoneNumber: 020 122 123
                    timezone: Europe/London
                    registeredName: FairFX
                    tradingName: FairFX Group
                    website: https://fairfx.com
                    industry: Financial Services
                    logo:
                      url: string
                      fileName: string
                    createdAt: '2019-08-24T14:15:22Z'
                    updatedAt: '2019-08-24T14:15:22Z'
                  addresses:
                    - id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                      type: office
                      nickName: office
                      addressLine1: Great Building
                      addressLine2: Four Maple Street
                      addressLine3: Southwark
                      addressContact: Brian May
                      city: string
                      postcode: SE13UB
                      country: England
                      countryCode: GB
                      createdAt: '2019-08-24T14:15:22Z'
                      updatedAt: '2019-08-24T14:15:22Z'
                  currencies:
                    - id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                      code: GBP
                      name: Pound Sterling
                      status:
                        enabled: true
                  payments:
                    id: string
                    active: true
                    maxLength: 42
                    depositRequired: 5
                    maxAmount: 500000
                    accountId: F50091
                  solutions: true
                  maxCardsAndBudgets:
                    maxIndividualCards: 0
                    maxSharedCards: 0
                    maxBudgets: 0
                    maxIndividualCardsPerPerson: 0
                  locale: en-GB
                  preferredLanguage: EN
                  details:
                    accountId: F50091
                    name: FairFX
                    countryOfRegistration: United Kingdom
                    companyType: Limited
                    companiesHouseId: '05539698'
                    telephoneNumber: 020 122 123
                    timezone: Europe/London
                    registeredName: FairFX
                    tradingName: FairFX Group
                    website: https://fairfx.com
                    industry: Financial Services
                    fourthLine: FairFX
                    logo:
                      url: string
                      fileName: string
                    createdAt: '2019-08-24T14:15:22Z'
                    updatedAt: '2019-08-24T14:15:22Z'
                  marketId: 3ef24d53-6e22-4103-a16b-d268e4f7346d
                  market:
                    id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                    name: UK
                    bank: string
                    baseCurrencyId: 7188015d-0ba6-4f9a-a255-5c3b5aa06eca
                    atmWithdrawalFee: 0
                    createdAt: '2019-08-24T14:15:22Z'
                    updatedAt: '2019-08-24T14:15:22Z'
                  createdAt: '2019-08-24T14:15:22Z'
                  updatedAt: '2019-08-24T14:15:22Z'
                  currencyAlignment: true
                  accountBanks:
                    - id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                      accountId: F50091
                      marketBank:
                        name: Barclays
                      marketBankId: b1065e35-4037-4a43-b497-2a449857cb42
                      priority: 1
                      type: settlement
                  settings:
                    id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                    AccountId: F50091
                    accountId: F50091
                    balanceRequests: true
                    paymentRequests: true
                    createRequestReason: mandatory
                    rejectRequestReason: mandatory
                    requestAttachments: mandatory
                    maxPendingRequestsTotal: 0
                    maxPendingRequestsPerBudget: 0
                    requestExpiryDays: 0
                    maxIndividualCards: 0
                    maxSharedCards: 0
                    maxIndividualCardsPerPerson: 0
                    maxBudgets: 0
                    maxUsers: 0
                    currencyAlignment: true
                    marketingEmails: true
                    onboardingEmails: true
                    batchPaymentsVerificationOfPayee: true
                    transactionalEmails: true
                    securityNotifications: true
                    createdAt: '2019-08-24T14:15:22Z'
                    updatedAt: '2019-08-24T14:15:22Z'
      security:
        - CommonAuth:
            - accounts:read
            - accounts:read:any
            - accounts:read:own
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````